require 'rss'
require 'open-uri'

class RssHelper
  @url = 'http://feeds.reuters.com/Reuters/worldNews.rdf'
  #@url = 'http://feeds.bbci.co.uk/news/world/rss.xml'
  def self.get_headlines
    headlines = []
    open(@url) do |rss|
      feed = RSS::Parser.parse(rss)
      feed.items.each do |item|
        headlines << "#{item.title} - #{item.pubDate}"
      end
    end
    headlines
  end
  def self.get_rss_title
    title = ''
    open(@url) do |rss|
      title = RSS::Parser.parse(rss).channel.title
    end
    title
  end
  def self.front_page
    front_page = {}
    source = get_rss_title
    get_headlines.each_with_index do |item, index|
      front_page["news_#{index}".to_sym] = "#{item} source: #{source}"
    end
    front_page
  end
end
