require 'grape'
require 'paginater'
require './rss_helper'
module RSSPaginated
  class API < Grape::API
    format :json
    formatter :json, Grape::Formatter::Paginater
    rescue_from :all
    get '/home' do
      ["Paginater :: #{Time.now} - /news - /foo"]
    end
    resource 'news' do
      params do
        requires :page, type: Integer, desc: "page number"
        optional :size, type: Integer, desc: "entries per page"
      end
      get '/', :paginater => :kaminari do
        RssHelper.front_page
      end
    end
    resource 'foo' do
      get '/', :paginater => :kaminari do
        %w(Alpha  Bravo  Charlie  Delta  Echo
        Foxtrot 	Golf 	Hotel  India  Juliet
        Kilo  Lima  Mike  November Oscar
        Papa  Quebec  Romeo 	Sierra 	Tango
        Uniform 	Victor 	Whiskey  X-Ray 	Yankee
        Zulu)
      end
    end
  end
end
